Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceFlowBandControlPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.ribbon.BandControlPanelUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicFlowBandControlPanelUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceFlowBandControlPanelUI

public class SubstanceFlowBandControlPanelUI extends org.pushingpixels.flamingo.internal.ui.ribbon.BasicFlowBandControlPanelUI
UI for `JFlowBandControlPanel` components in Substance look and feel.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOTTOM_ROW`
`protected org.pushingpixels.flamingo.internal.ui.ribbon.AbstractBandControlPanel`
`controlPanel`
`protected org.pushingpixels.flamingo.api.common.JCommandButton`
`dummy`
`static final String`
`MID_ROW`
`static final String`
`TOP_ROW`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceFlowBandControlPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`int`
`getLayoutGap()`
`protected void`
`installComponents()`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`void`
`installUI(JComponent arg0)`
`void`
`paint(Graphics arg0, JComponent arg1)`
`protected void`
`paintBandBackground(Graphics graphics, Rectangle toFill)`
`protected void`
`uninstallComponents()`
`protected void`
`uninstallDefaults()`
`protected void`
`uninstallListeners()`
`void`
`uninstallUI(JComponent arg0)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicFlowBandControlPanelUI

`createLayoutManager`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### controlPanel

protected org.pushingpixels.flamingo.internal.ui.ribbon.AbstractBandControlPanel controlPanel

### dummy

protected org.pushingpixels.flamingo.api.common.JCommandButton dummy

### TOP_ROW

public static final String TOP_ROW

See Also:
  - Constant Field Values

### MID_ROW

public static final String MID_ROW

See Also:
  - Constant Field Values

### BOTTOM_ROW

public static final String BOTTOM_ROW

See Also:
  - Constant Field Values

## Constructor Details

### SubstanceFlowBandControlPanelUI

public SubstanceFlowBandControlPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### paintBandBackground

protected void paintBandBackground(Graphics graphics, Rectangle toFill)

### installUI

public void installUI(JComponent arg0)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent arg0)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installListeners

protected void installListeners()

### uninstallListeners

protected void uninstallListeners()

### installComponents

protected void installComponents()

### uninstallComponents

protected void uninstallComponents()

### installDefaults

protected void installDefaults()

### uninstallDefaults

protected void uninstallDefaults()

### paint

public void paint(Graphics arg0, JComponent arg1)

Overrides:
  `paint` in class `ComponentUI`

### getLayoutGap

public int getLayoutGap()

Specified by:
  `getLayoutGap` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BandControlPanelUI`